## plasma-vault 6.3.0

=== debian/changelog ===
plasma-vault (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 15:00:47 +0100

plasma-vault (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:54:24 +0100

plasma-vault (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Bump inter-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:39:06 +0100

=== debian/control ===
Source: plasma-vault
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6config-dev (>= 6.10.0~),
               libkf6configwidgets-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6itemmodels-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6networkmanagerqt-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libksysguard-dev (>= 4:6.2.90~),
               libplasma-dev (>= 6.3.0~),
               libplasmaactivities-dev (>= 6.3.0~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-vault
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-vault
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-vault.git
Rules-Requires-Root: no

Package: plasma-vault
Architecture: any
Depends: cryfs,
         plasma-desktoptheme,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: gocryptfs,
Description: Plasma applet and services for creating encrypted vaults
 File encryption widget.

## plasma-vault 6.3.2

=== debian/changelog ===
plasma-vault (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:54:28 +0100

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
                libkf6service-dev (>= 6.10.0~),
                libkf6widgetsaddons-dev (>= 6.10.0~),
                libksysguard-dev (>= 4:6.2.90~),
-               libplasma-dev (>= 6.3.0~),
-               libplasmaactivities-dev (>= 6.3.0~),
+               libplasma-dev (>= 6.3.2~),
+               libplasmaactivities-dev (>= 6.3.2~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
 Standards-Version: 4.7.0

## plasma-vault 6.3.4

=== CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

cmake_minimum_required(VERSION 3.16)

project(PlasmaVault)

set(PROJECT_VERSION "6.3.4")
set(PROJECT_VERSION_MAJOR 6)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(PLASMAVAULT_VERSION "0.1")

# We don't build in-source
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
    message(
        FATAL_ERROR
        "plasmavault requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there."
    )
endif()

# Extra CMake stuff
include(FeatureSummary)

set(PROJECT_DEP_VERSION "6.3.4")
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF6_MIN_VERSION}  NO_MODULE)
set_package_properties(ECM PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Extra CMake Modules."
    URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules"
)
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
# Qt
set(CMAKE_AUTOMOC ON)
find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Quick
    Widgets
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    DBusAddons
    I18n
    ItemModels
    KIO
    Service
    WidgetsAddons
)

find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaActivities ${PROJECT_DEP_VERSION} REQUIRED)

find_package(KF6NetworkManagerQt ${KF6_MIN_VERSION})
if (KF6NetworkManagerQt_FOUND)
    set(HAVE_NETWORKMANAGER TRUE)
endif()
find_package(KSysGuard REQUIRED)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/common
)

include(ECMSetupVersion)
ecm_set_disabled_deprecation_versions(QT 6.8.1
    KF 6.9.0
)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DTRANSLATION_DOMAIN=\"plasmavault-kde\")
add_definitions(-fexceptions)
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

# libPlasmaVault

add_subdirectory(kded)
add_subdirectory(plasma)
add_subdirectory(icons)
add_subdirectory(fileitemplugin)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

# Write out the features
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
plasma-vault (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:58:36 +0100

plasma-vault (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:24:40 +0000

plasma-vault (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current plasma version.
    - Demote cryfs to a recommends. It is currently not available on
      ppc64el.

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Mar 2025 09:04:55 +0000

plasma-vault (6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:18:25 +0000

plasma-vault (6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:25:46 +0000

plasma-vault (6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:57:42 +0000

plasma-vault (6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:44:31 +0000

=== debian/control ===
Source: plasma-vault
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6config-dev (>= 6.10.0~),
               libkf6configwidgets-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6itemmodels-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6networkmanagerqt-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libksysguard-dev (>= 4:6.3.4~),
               libplasma-dev (>= 6.3.4~),
               libplasmaactivities-dev (>= 6.3.4~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-vault
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-vault
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-vault
Rules-Requires-Root: no

Package: plasma-vault
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: cryfs,
Suggests: gocryptfs,
Description: Plasma applet and services for creating encrypted vaults
 File encryption widget.

## plasma-vault 6.3.5

=== kded/CMakeLists.txt ===
configure_file(config-plasma-vault.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-plasma-vault.h)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/engine
)

add_library(kded_plasmavault MODULE)

target_sources(kded_plasmavault PRIVATE
    engine/backend_p.cpp
    engine/backend_p.h
    engine/backends/cryfs/cryfsbackend.cpp
    engine/backends/cryfs/cryfsbackend.h
    engine/backends/encfs/encfsbackend.cpp
    engine/backends/encfs/encfsbackend.h
    engine/backends/gocryptfs/gocryptfsbackend.cpp
    engine/backends/gocryptfs/gocryptfsbackend.h
    engine/commandresult.cpp
    engine/commandresult.h
    engine/fusebackend_p.cpp
    engine/fusebackend_p.h
    engine/singleton_p.h
    engine/types.cpp
    engine/types.h
    engine/vault.cpp
    engine/vault.h
    service.cpp
    service.h
    ui/activitieslinkingwidget.cpp
    ui/activitieslinkingwidget.h
    ui/backendchooserwidget.cpp
    ui/backendchooserwidget.h
    ui/cryfscypherchooserwidget.cpp
    ui/cryfscypherchooserwidget.h
    ui/dialogdsl.cpp
    ui/dialogdsl.h
    ui/directorychooserwidget.cpp
    ui/directorychooserwidget.h
    ui/directorypairchooserwidget.cpp
    ui/directorypairchooserwidget.h
    ui/mountdialog.cpp
    ui/mountdialog.h
    ui/namechooserwidget.cpp
    ui/namechooserwidget.h
    ui/noticewidget.cpp
    ui/noticewidget.h
    ui/offlineonlywidget.cpp
    ui/offlineonlywidget.h
    ui/passwordchooserwidget.cpp
    ui/passwordchooserwidget.h
    ui/vaultconfigurationdialog.cpp
    ui/vaultconfigurationdialog.h
    ui/vaultcreationwizard.cpp
    ui/vaultcreationwizard.h
    ui/vaultdeletionwidget.cpp
    ui/vaultdeletionwidget.h
    ui/vaultimportingwizard.cpp
    ui/vaultimportingwizard.h
    ui/vaultwizardbase.h

    ../common/vaultinfo.cpp
    ../common/vaultinfo.h
)

ki18n_wrap_ui(kded_plasmavault
    ui/activitieslinkingwidget.ui
    ui/backendchooserwidget.ui
    ui/cryfscypherchooserwidget.ui
    ui/directorychooserwidget.ui
    ui/directorypairchooserwidget.ui
    ui/mountdialog.ui
    ui/namechooserwidget.ui
    ui/noticewidget.ui
    ui/offlineonlywidget.ui
    ui/passwordchooserwidget.ui
    ui/vaultconfigurationdialog.ui
    ui/vaultcreationwizard.ui
    ui/vaultdeletionwidget.ui
    ui/vaultimportingwizard.ui
)

set_target_properties(kded_plasmavault
    PROPERTIES
        OUTPUT_NAME plasmavault
)

target_link_libraries(kded_plasmavault
    Qt::Core
    Qt::DBus
    Qt::Widgets

    Plasma::Activities
    KF6::ConfigCore
    KF6::ConfigWidgets
    KF6::CoreAddons
    KF6::DBusAddons
    KF6::I18n
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::Service
    KF6::WidgetsAddons
    KSysGuard::ProcessCore
)
if (HAVE_NETWORKMANAGER)
    target_link_libraries(kded_plasmavault
        KF6::NetworkManagerQt
    )
endif()

install(TARGETS kded_plasmavault DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kded)

=== debian/changelog ===
plasma-vault (6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Add missing include.
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.5 packages that have actual code changes.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:41 +0200

plasma-vault (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:02:04 +0200

=== debian/control ===
Source: plasma-vault
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6config-dev (>= 6.10.0~),
               libkf6configwidgets-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6itemmodels-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6networkmanagerqt-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libksysguard-dev (>= 4:6.3.4~),
               libplasma-dev (>= 6.3.4~),
               libplasmaactivities-dev (>= 6.3.4~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-vault
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-vault
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-vault.git
Rules-Requires-Root: no

Package: plasma-vault
Architecture: any
Depends: cryfs,
         plasma-desktoptheme,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: gocryptfs,
Description: Plasma applet and services for creating encrypted vaults
 File encryption widget.

## plasma-vault 6.4.2

=== debian/changelog ===
plasma-vault (6.4.2-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 12 Jul 2025 10:56:28 +0000

plasma-vault (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:37:58 +0000

plasma-vault (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:52:48 +0000

plasma-vault (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:29:06 +0000

plasma-vault (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:01:47 +0000

plasma-vault (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:15:07 +0000

plasma-vault (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:12:12 +0000

plasma-vault (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:14:05 +0000

plasma-vault (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:58:52 +0000

plasma-vault (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:33:11 +0000

plasma-vault (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:04:40 +0000

plasma-vault (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:37:48 +0000

plasma-vault (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:16:34 +0000

plasma-vault (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:08:49 +0000

plasma-vault (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:18:04 +0000

plasma-vault (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Sep 2024 18:18:30 +0000

plasma-vault (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:16:14 +0000

plasma-vault (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:33:54 +0000

plasma-vault (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:10:14 +0000

plasma-vault (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:43:42 +0000

plasma-vault (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 13:02:59 +0000

plasma-vault (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:21:02 +0000

plasma-vault (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:52:24 +0000

plasma-vault (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:24:31 +0000

plasma-vault (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:14:50 +1000

plasma-vault (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:53:50 +0000

plasma-vault (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:02:44 +0000

plasma-vault (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:10:46 +0000

plasma-vault (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:23:58 +0000

plasma-vault (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:12:57 +0000

plasma-vault (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:37:54 +0000

plasma-vault (5.27.4.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Apr 2023 09:42:35 +0000

plasma-vault (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:35:52 +0000

plasma-vault (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:16:40 +0000

plasma-vault (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:07:34 +0000

plasma-vault (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:36:22 +0000

plasma-vault (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:31:39 +0000

plasma-vault (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:49:10 +0000

plasma-vault (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:46:04 +0000

plasma-vault (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:26:21 +0000

plasma-vault (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 10:02:57 +0000

plasma-vault (5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:44:30 +0000

plasma-vault (5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:15:56 +0000

plasma-vault (5.25.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:09:18 +0000

plasma-vault (5.25.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Jun 2022 13:10:12 +0000

plasma-vault (5.25.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Jun 2022 22:48:32 +0000



## plasma-vault 6.4.3

=== debian/changelog ===
plasma-vault (6.4.3-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 14:02:48 +0000

plasma-vault (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:11:17 +0000

## plasma-vault 6.4.4

=== debian/changelog ===
plasma-vault (6.4.4-0ubuntu1~tux2) noble; urgency=medium

  * Rebuild against kf6 6.17.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 23:00:15 +0200

plasma-vault (6.4.4-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 27 Aug 2025 14:37:02 +0200

plasma-vault (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Depends on gocryptfs, as this is now the only supported backend for
    new vaults.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:31:15 +0100

plasma-vault (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:36:15 +0100

=== debian/control ===
Source: plasma-vault
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               gocryptfs,
               libkf6config-dev (>= 6.14.0~),
               libkf6configwidgets-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6itemmodels-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6networkmanagerqt-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libksysguard-dev (>= 4:6.4.4~),
               libplasma-dev (>= 6.4.4~),
               libplasmaactivities-dev (>= 6.4.4~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-vault
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-vault
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-vault
Rules-Requires-Root: no

Package: plasma-vault
Architecture: any
Depends: gocryptfs,
         plasma-desktoptheme,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: cryfs,
Description: Plasma applet and services for creating encrypted vaults
 File encryption widget.

## plasma-vault 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,7 @@
 
 project(PlasmaVault)
 
-set(PROJECT_VERSION "6.3.4")
-set(PROJECT_VERSION_MAJOR 6)
+set(PROJECT_VERSION "6.4.5")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -23,9 +22,9 @@
 # Extra CMake stuff
 include(FeatureSummary)
 
-set(PROJECT_DEP_VERSION "6.3.4")
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(PROJECT_DEP_VERSION "6.4.5")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF6_MIN_VERSION}  NO_MODULE)
@@ -36,7 +35,7 @@
 )
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -76,6 +75,14 @@
 endif()
 find_package(KSysGuard REQUIRED)
 
+find_package(Gocryptfs)
+set_package_properties(Gocryptfs PROPERTIES
+    DESCRIPTION "Encrypted filesystem backend written in Go"
+    PURPOSE "Required at runtime to create and unlock Vaults"
+    TYPE RUNTIME
+    URL "https://nuetzlich.net/gocryptfs/"
+)
+
 include_directories(
     ${CMAKE_CURRENT_SOURCE_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}/common
@@ -83,7 +90,7 @@
 
 include(ECMSetupVersion)
 ecm_set_disabled_deprecation_versions(QT 6.8.1
-    KF 6.9.0
+    KF 6.12.0
 )
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

=== fileitemplugin/CMakeLists.txt ===
kcoreaddons_add_plugin(plasmavaultfileitemaction
    SOURCES
        plasmavaultfileitemaction.cpp
        plasmavaultfileitemaction.h
    INSTALL_NAMESPACE "kf6/kfileitemaction"
)

target_link_libraries(plasmavaultfileitemaction
    KF6::I18n
    KF6::KIOWidgets
)

=== debian/changelog ===
plasma-vault (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:04:02 +0100

=== debian/control ===
--- 
+++ 
@@ -23,9 +23,9 @@
                libkf6networkmanagerqt-dev (>= 6.14.0~),
                libkf6service-dev (>= 6.14.0~),
                libkf6widgetsaddons-dev (>= 6.14.0~),
-               libksysguard-dev (>= 4:6.4.4~),
-               libplasma-dev (>= 6.4.4~),
-               libplasmaactivities-dev (>= 6.4.4~),
+               libksysguard-dev (>= 4:6.4.5~),
+               libplasma-dev (>= 6.4.5~),
+               libplasmaactivities-dev (>= 6.4.5~),
                qt6-base-dev (>= 6.8.0~),
                qt6-declarative-dev (>= 6.8.0~),
 Standards-Version: 4.7.0

## plasma-vault 6.4.5+p24.04+vstable+git20250928.1339

=== debian/changelog ===
plasma-vault (6.4.5+p24.04+vstable+git20250928.1339-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 13:39:39 +0000

plasma-vault (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:39:05 +0000

plasma-vault (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:23:15 +0000

## plasma-vault 6.4.5+p24.04+vstable+git20251004.0606

=== debian/changelog ===
plasma-vault (6.4.5+p24.04+vstable+git20251004.0606-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 06:06:22 +0000

## plasma-vault 6.4.5+p24.04+vstable+git20251017.0644

=== debian/changelog ===
plasma-vault (6.4.5+p24.04+vstable+git20251017.0644-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 06:44:02 +0000

## plasma-vault 6.4.5+p24.04+vstable+git20251019.0328

=== debian/changelog ===
plasma-vault (6.4.5+p24.04+vstable+git20251019.0328-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:28:25 +0000

## plasma-vault 6.4.5+p24.04+vstable+git20251021.0318

=== debian/changelog ===
plasma-vault (6.4.5+p24.04+vstable+git20251021.0318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:18:55 +0000

## plasma-vault 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(PlasmaVault)
 
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.4.91")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -22,9 +22,9 @@
 # Extra CMake stuff
 include(FeatureSummary)
 
-set(PROJECT_DEP_VERSION "6.4.5")
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(PROJECT_DEP_VERSION "6.4.91")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF6_MIN_VERSION}  NO_MODULE)
@@ -56,14 +56,12 @@
 
 find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
     Config
-    ConfigWidgets
     CoreAddons
     DBusAddons
     I18n
     ItemModels
     KIO
     Service
-    WidgetsAddons
 )
 
 find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
@@ -89,8 +87,8 @@
 )
 
 include(ECMSetupVersion)
-ecm_set_disabled_deprecation_versions(QT 6.8.1
-    KF 6.12.0
+ecm_set_disabled_deprecation_versions(QT 6.9.0
+    KF 6.16.0
 )
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

=== plasma/CMakeLists.txt ===
set(plasmavault_SRCS

    vaultapplet.cpp
    vaultapplet.h
    vaultsmodel.cpp
    vaultsmodel.h
    vaultsmodel_p.h

    ../common/vaultinfo.cpp
    ../common/vaultinfo.h
)

set_source_files_properties(
    ../common/org.kde.plasmavault.xml
    PROPERTIES
        INCLUDE ../common/vaultinfo.h
)

qt_add_dbus_interface(plasmavault_SRCS
    ../common/org.kde.plasmavault.xml
    plasmavault_interface
)

add_library(org.kde.plasma.vault MODULE
    ${plasmavault_SRCS}
)

target_link_libraries(org.kde.plasma.vault
    Qt::DBus
    Qt::Gui

    KF6::I18n

    Plasma::Activities
    Plasma::Plasma
)

install(
    TARGETS org.kde.plasma.vault
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/applets
)

plasma_install_package(package org.kde.plasma.vault)

=== debian/changelog ===
plasma-vault (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop patch relaxing inter-plasma minor versions requirement in build
    dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Oct 2025 21:47:38 +0200

=== debian/control ===
Source: plasma-vault
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libksysguard-dev (>= 4:6.4.91~),
               libplasma-dev (>= 6.4.91~),
               libplasmaactivities-dev (>= 6.4.91~),
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-vault
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-vault
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-vault.git
Rules-Requires-Root: no

Package: plasma-vault
Architecture: any
Depends: cryfs,
         plasma-desktoptheme,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: gocryptfs,
Description: Plasma applet and services for creating encrypted vaults
 File encryption widget.

## plasma-vault 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(PlasmaVault)
 
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -22,7 +22,7 @@
 # Extra CMake stuff
 include(FeatureSummary)
 
-set(PROJECT_DEP_VERSION "6.4.91")
+set(PROJECT_DEP_VERSION "6.5.0")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-vault (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:00:56 +0200

=== debian/control ===
--- 
+++ 
@@ -22,15 +22,14 @@
                libkf6service-dev (>= 6.18.0~),
                libkf6widgetsaddons-dev (>= 6.10.0~),
                libksysguard-dev (>= 4:6.4.91~),
-               libplasma-dev (>= 6.4.91~),
-               libplasmaactivities-dev (>= 6.4.91~),
+               libplasma-dev (>= 6.5.0~),
+               libplasmaactivities-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/plasma-vault
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-vault
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-vault.git
-Rules-Requires-Root: no
 
 Package: plasma-vault
 Architecture: any

## plasma-vault 6.5.0+p24.04+vstable+git20251021.0857

=== debian/changelog ===
plasma-vault (6.5.0+p24.04+vstable+git20251021.0857-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:57:59 +0000

plasma-vault (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:34:10 +0000

## plasma-vault 6.5.0+p24.04+vstable+git20251021.1027

=== debian/changelog ===
plasma-vault (6.5.0+p24.04+vstable+git20251021.1027-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 10:27:49 +0000

## plasma-vault 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(PlasmaVault)
 
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -22,7 +22,7 @@
 # Extra CMake stuff
 include(FeatureSummary)
 
-set(PROJECT_DEP_VERSION "6.5.0")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-vault (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:16:30 +0100

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
                libkf6service-dev (>= 6.18.0~),
                libkf6widgetsaddons-dev (>= 6.10.0~),
                libksysguard-dev (>= 4:6.4.91~),
-               libplasma-dev (>= 6.5.0~),
-               libplasmaactivities-dev (>= 6.5.0~),
+               libplasma-dev (>= 6.5.1~),
+               libplasmaactivities-dev (>= 6.5.1~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
 Standards-Version: 4.7.2

## plasma-vault 6.5.1+p24.04+vstable+git20251029.0742

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(PlasmaVault)
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== debian/changelog ===
plasma-vault (6.5.1+p24.04+vstable+git20251029.0742-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:42:20 +0000

plasma-vault (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:01:43 +0000

=== debian/control ===
Source: plasma-vault
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-kwidgetsaddons-dev,
               kf6-networkmanager-qt-dev,
               libkf5sysguard-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/plasma-vault.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-vault
Maintainer: Neon CI <neon@kde.org>

Package: plasma-vault
Architecture: any
Depends: cryfs,
         encfs,
         gocryptfs,
         libplasma6,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma applet and services for creating encrypted vaults
 File enryption widget.

## plasma-vault 6.5.1+p24.04+vstable+git20251031.0926

=== debian/changelog ===
plasma-vault (6.5.1+p24.04+vstable+git20251031.0926-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:26:42 +0000

## plasma-vault 6.5.2

=== kded/CMakeLists.txt ===
--- 
+++ 
@@ -92,14 +92,12 @@
 
     Plasma::Activities
     KF6::ConfigCore
-    KF6::ConfigWidgets
     KF6::CoreAddons
     KF6::DBusAddons
     KF6::I18n
     KF6::KIOCore
     KF6::KIOWidgets
     KF6::Service
-    KF6::WidgetsAddons
     KSysGuard::ProcessCore
 )
 if (HAVE_NETWORKMANAGER)

=== debian/changelog ===
plasma-vault (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:34:09 +0100

=== debian/control ===
Source: plasma-vault
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libksysguard-dev (>= 4:6.4.91~),
               libplasma-dev (>= 6.5.2~),
               libplasmaactivities-dev (>= 6.5.2~),
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-vault
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-vault
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-vault.git

Package: plasma-vault
Architecture: any
Depends: cryfs,
         plasma-desktoptheme,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: gocryptfs,
Description: Plasma applet and services for creating encrypted vaults
 File encryption widget.

## plasma-vault 6.5.3

=== debian/changelog ===
plasma-vault (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:25:51 +0100

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
                libkf6service-dev (>= 6.18.0~),
                libkf6widgetsaddons-dev (>= 6.10.0~),
                libksysguard-dev (>= 4:6.4.91~),
-               libplasma-dev (>= 6.5.2~),
-               libplasmaactivities-dev (>= 6.5.2~),
+               libplasma-dev (>= 6.5.3~),
+               libplasmaactivities-dev (>= 6.5.3~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
 Standards-Version: 4.7.2

## plasma-vault 6.5.3+p24.04+vstable+git20251204.0922

=== debian/changelog ===
plasma-vault (6.5.3+p24.04+vstable+git20251204.0922-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 09:22:37 +0000

plasma-vault (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:14:33 +1000

plasma-vault (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:13:44 +1000

## plasma-vault 6.5.3+p24.04+vunstable+git20251123.0128

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(PlasmaVault)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.80")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -22,7 +22,7 @@
 # Extra CMake stuff
 include(FeatureSummary)
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-vault (6.5.3+p24.04+vunstable+git20251123.0128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 01:28:27 +0000

=== debian/control ===
Source: plasma-vault
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-dev,
               kf6-kitemmodels-dev,
               kf6-kwidgetsaddons-dev,
               kf6-networkmanager-qt-dev,
               libkf5sysguard-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/plasma-vault.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-vault
Maintainer: Neon CI <neon@kde.org>

Package: plasma-vault
Architecture: any
Depends: cryfs,
         encfs,
         gocryptfs,
         libplasma6,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma applet and services for creating encrypted vaults
 File enryption widget.

## plasma-vault 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(PlasmaVault)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.4")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -22,7 +22,7 @@
 # Extra CMake stuff
 include(FeatureSummary)
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-vault (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:53:11 +0100

=== debian/control ===
Source: plasma-vault
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libksysguard-dev (>= 4:6.4.91~),
               libplasma-dev (>= 6.5.4~),
               libplasmaactivities-dev (>= 6.5.4~),
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-vault
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-vault
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-vault.git

Package: plasma-vault
Architecture: any
Depends: cryfs,
         plasma-desktoptheme,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: gocryptfs,
Description: Plasma applet and services for creating encrypted vaults
 File encryption widget.

## plasma-vault 6.5.4+p24.04+vstable+git20251209.1315

=== debian/changelog ===
plasma-vault (6.5.4+p24.04+vstable+git20251209.1315-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 13:15:35 +0000

plasma-vault (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:22:53 +1000

## plasma-vault 6.5.4+p24.04+vunstable+git20251209.1315

=== debian/changelog ===
plasma-vault (6.5.4+p24.04+vunstable+git20251209.1315-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 13:15:36 +0000
